##### Configuration

src_server ?= vegbiendev
src_user ?= $(USER)
test ?=

##### Vars/functions

# Make
pathParts = $(shell path="$(1)"; echo "$${path%%/*}" "$${path\#*/}")
topDir = $(word 1,$(pathParts))
subPath = $(word 2,$(pathParts))
subMake = $(MAKE) $(call subPath,$@) --directory=$(call topDir,$@) \
--makefile=../input.Makefile
# input.Makefile path is relative to subdir

# SVN
addDir = $(if $(wildcard $(1)/),svn add --depth=empty $(1),svn mkdir $(1))

# rsync
rsync := rsync$(if $(test), --dry-run) --archive --update --verbose\
--itemize-changes --progress --exclude=".*"
local := ./
localDirName := $(notdir $(realpath $(local)))
remote := $(src_user)@$(src_server):/home/bien/svn/$(localDirName)/

##### General targets

all:

.SUFFIXES: # turn off built-in suffix rules
.SECONDARY: # don't automatically delete intermediate files
.DELETE_ON_ERROR: # delete target if recipe fails

_always:
.PHONY: _always
